"Remember selection for future searches" feature for AdvancedSearch
Closed, ResolvedPublic2 Story Points

Description

The old 'advanced' search interface allowing selection o/ filtering by namespace provided an option to "Remember selection for future searches"

The AdvancedSearch extension could do a similar thing.

Note:

  • This entails the respositioning of the namespace bundle checkboxes
  • Remembering the selection only has to happen once a search is actually executed

Related Objects

Raymond created this task.Nov 29 2017, 3:40 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptNov 29 2017, 3:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore renamed this task from "Remember selection for future searches" missing to "Remember selection for future searches" feature for AdvancedSearch.Nov 30 2017, 11:33 AM
Addshore updated the task description. (Show Details)
Restricted Application added a project: Design. · View Herald TranscriptFeb 21 2018, 8:02 AM
Charlie_WMDE updated the task description. (Show Details)Feb 21 2018, 9:05 AM
Charlie_WMDE added a subscriber: Lea_WMDE.

@Lea_WMDE can you have a look? this would be done from my side.

Tonina_Zhelyazkova_WMDE triaged this task as Normal priority.Feb 21 2018, 2:20 PM
Tonina_Zhelyazkova_WMDE updated the task description. (Show Details)
Tonina_Zhelyazkova_WMDE set the point value for this task to 5.

@Charlie_WMDE having the preset inside the search box means us having to override OOUI things, which means we would not be able to use their updates. And we would have to do quite a bit of calculation ourselves to position this correctly. Also, storytime resulted in some doubts whether the positioning makes sense, especially when people opened the dropdown before. Could you imagine a way that this is not inside the "Search in" dropdown box?

@Lea_WMDE Yes I can imagine some other options but they all have UX flaws that I was trying to avoid. This was the best solution I came up with from a strictly UX point of view. I think it would be best if we can have a meeting to discuss the technical constraints so I can better assess what a feasible solution would be.

Lea_WMDE updated the task description. (Show Details)Feb 28 2018, 2:14 PM
Lea_WMDE changed the point value for this task from 5 to 2.
Lea_WMDE updated the task description. (Show Details)Mar 7 2018, 1:52 PM
aniansson moved this task from Todo to Doing on the wmde-fundraising-sprint-19 board.

Change 419782 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Add SearchnamespaceTokenModule

https://gerrit.wikimedia.org/r/419782

Change 419782 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add SearchnamespaceTokenModule

https://gerrit.wikimedia.org/r/419782

This task's patches will keep failing until T190426 is resolved. Might as well put it for review @aniansson :?

Change 417945 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add checkbox for "Remember selection for future searches"

https://gerrit.wikimedia.org/r/417945

Tonina_Zhelyazkova_WMDE removed aniansson as the assignee of this task.Mon, Mar 26, 9:54 AM
Tonina_Zhelyazkova_WMDE added a subscriber: aniansson.

This is not working for me: It looks to me like the previous default settings are merged with whatever I have in the input box when I search (and then search again) after having checked "remember selection for future searches". I expected to only be searching in the namespaces that were selected when I checked the button.

Furthermore, the positioning looks a bit weird, maybe this has todo with the OOUI update, that we previously had buffers around the checkboxes when they still were smaller, and now these buffers need to be removed?

Change 421869 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Restore broken namespace selection and remember feature

https://gerrit.wikimedia.org/r/421869

Change 421869 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Restore broken namespace selection and remember feature

https://gerrit.wikimedia.org/r/421869

@Lea_WMDE now that the feature behaves correctly and we're only left with the weird looking checkboxes, I talked to Hanna and the fastest solution we have is to increase the space between the checkbox and the label, because it makes it more clear which label belongs to which checkbox. Still not perfect and still weird looking, but further improvements will be for another task.
@Charlie_WMDE takeover :)

Change 422097 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Remove unintentionally added spacing in front of "remember" checkbox

https://gerrit.wikimedia.org/r/422097

Change 422097 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Remove unintentionally added spacing in front of "remember" checkbox

https://gerrit.wikimedia.org/r/422097

Lea_WMDE closed this task as Resolved.Wed, Apr 4, 2:00 PM

@Charlie_WMDE
the problem: After adding "Remember selection for future searches" it was established that the namespace presets look strange now because the checkboxes are bigger than before (as a result of an OOUI update). You can see that on uca test server.
the quick solution: Increasing the space between the checkboxes and their labels seems to make things a little bit better.
other discussed solutions:

  • Override the checkboxes to make them small again.
  • Increase the space between "Search In" and the first row of checkboxes.
  • Generally increase the dimensions of the component that holds the namespace presets.

@Hanna_Petruschat_WMDE please correct me if I'm wrong or missed something from our discussion.